import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.conversations.create({
createConversationRequest: {
metadata: {
"session_id": "sess_abc123",
"user_type": "premium",
},
},
});
console.log(result);
}
run();{
"id": "conv_abc123",
"object": "conversation",
"created_at": 1704067200,
"metadata": {
"session_id": "sess_abc123",
"user_type": "premium"
}
}Create a conversation to store and retrieve conversation state across Response API calls.
import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.conversations.create({
createConversationRequest: {
metadata: {
"session_id": "sess_abc123",
"user_type": "premium",
},
},
});
console.log(result);
}
run();{
"id": "conv_abc123",
"object": "conversation",
"created_at": 1704067200,
"metadata": {
"session_id": "sess_abc123",
"user_type": "premium"
}
}Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.
Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.
Initial items to include in the conversation context. Max 20 items at a time.
20A message input item with a role and content. Represents a single turn in the conversation from a user, assistant, system, or developer.
Show child attributes
Show child attributes
OK
The unique ID of the conversation
The object type, always 'conversation'
Unix timestamp of when the conversation was created
Show child attributes
Identity of the conversation owner. Either a SHA256 hash or raw userId:externalUserId depending on IDENTITY_MODE.
Was this page helpful?